// $blue: #281dff;
// $purple: #b600c9;
$blue: #619ADC;
$purple: #C34A8C;

#container {
    position: relative;
}

#container>#map, #container>#deck-canvas {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.circle {
    position: absolute;
    width: 60%;
    height: 0;
    margin: auto;
    background: $blue;
    border-radius: 100%;
    z-index: 9;
    opacity: .4;
}

.controls {
    position: absolute;
    top: 0;
    left: 0;
    width: 50%;
    z-index: 10;
    background: rgba(0,0,0,.5);
}

.purple-circle {
    bottom: 200px;
    left: -140px;
    box-shadow: 0 0 200px 200px $purple;
    transform: rotate(35deg);
}

.blue-circle {
    top: 150px;
    left: 0;
    right: 0;
    box-shadow: 0 0 200px 200px $blue;
    transform: rotate(10deg);
}

.sidebar-container {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    z-index: 10;
    display: flex;
    align-items: center;
    justify-content: center;
    pointer-events: none;
}

.buttons-container {
    position: absolute;
    bottom: 40px;
    left: 0;
    width: 100%;
    height: 85px;
    z-index: 10;
    pointer-events: none;
    ion-col:nth-child(1) {
        ion-fab-button {
            margin-right: auto;
        }
    }
    ion-col:nth-child(2) {
        ion-fab-button {
            margin-left: auto;
        }
    }
    ion-fab-button {
        --background: url(/assets/resources/button_gold.svg) no-repeat center;
        --background-activated: url(/assets/resources/button_gold.svg) no-repeat center;
        --background-focused: url(/assets/resources/button_gold.svg) no-repeat center;
        --box-shadow: none;
        height: 73px;
        width: 58px;
        pointer-events: all;
    }
}
